Skip to main content
Alerting & Response/Alert Events

ListAlertEventComments

List all comments on a specific alert event

GET/api/v1/alerting/events/{eventId}/comments

Operation ID

ListAlertEventComments

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • eventId
    StringRequired

    Event identifier to list comments for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of comments

    Example: (nested array)

    • uuid
      String

      Unique identifier of the comment

      Example: comment-001

    • alertUuid
      String

      Alert event UUID this comment belongs to

      Example: event-001

    • author
      String

      Author of the comment

      Example: admin

    • content
      String

      Comment content text

      Example: Investigating high CPU on db-01

    • createDate
      String

      Timestamp when the comment was created

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of comments

    Example: 3

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20